# Method: projects.domain.verify

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.domain/verify#try-it)

Verify the requested custom domain has required DNS records.

### HTTP request

`POST https://identitytoolkit.googleapis.com/admin/v2/{resource=projects/*}/domain:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` The name of the resource to verify the domain of. This method currently accepts verifying domains for either projects (example 'projects/my-awesome-project') or tenants (example 'projects/my-awesome-project/tenants/my-awesome-tenant'). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `resource`: - `firebaseauth.configs.update` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "domain": string, "action": enum (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/DomainVerificationAction`) } ``` |

| Fields ||
|---|---|
| `domain` | `string` The target domain of this request. |
| `action` | ``enum (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/DomainVerificationAction`)`` The action being attempted on the given domain. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/VerifyDomainResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).